{
	"compilerOptions": {
		"allowJs": true,
		/* Path Aliases */
		"baseUrl": ".",
		"checkJs": true,
		/* Base Options: */
		"esModuleInterop": true,
		"forceConsistentCasingInFileNames": true,
		"incremental": true,
		"isolatedModules": true,
		"jsx": "preserve",
		/* Bundled projects */
		"lib": ["dom", "dom.iterable", "esnext"],
		"module": "ESNext",
		"moduleDetection": "force",
		"moduleResolution": "Bundler",
		"noEmit": true,
		"noUncheckedIndexedAccess": true,
		"paths": {
			"~/*": ["./src/*"]
		},
		"plugins": [
			{
				"name": "next"
			}
		],
		"resolveJsonModule": true,
		"skipLibCheck": true,
		/* Strictness */
		"strict": true,
		"target": "esnext"
	},
	"exclude": [
		"node_modules",
		"out",
		"dist",
		"headers",
		"kyselyRules",
		".kanelrc.js"
	],
	"include": [
		"src",
		"next-env.d.ts",
		"next.config.ts",
		"postcss.config.cjs",
		"reset.d.ts",
		"TypeHelpers.type.ts",
		"public",
		"emails",
		".next/types/**/*.ts",
		"tests"
	],
	"ts-node": {
		// these options are overrides used only by ts-node
		// same as the --compilerOptions flag and the TS_NODE_COMPILER_OPTIONS environment variable
		"compilerOptions": {
			"module": "commonjs"
		}
	}
}
